Subject: Re: [bug#47905] gnu: Add rasdaemon.

From: [email-masked]
Date: Tue, 20 Apr 2021 15:23:14 +0900

Leo Famulari <[email-masked]> wrote:
> On Tue, Apr 20, 2021 at 01:24:37PM +0900, elaexuotee--- via Guix-patches via wrote:
> > +;;;
> > +;;; Reliability, Availability, and Servicability (RAS) daemon
> 
> Typo -------------------------------> Serviceability
> 
> Otherwise, this LGTM. I'm no expert on Guix services but this one seems
> simple and straightforward.
> 
> You mentioned that you tested in a VM. What should I look for in the VM
> to verify that the service is working?

Ah, good catch.

Just check that the daemon is running and log/database files exist.  For a
non-broken system, the sqlite database will just contain a few empty tables and
the logs will just notify you that the various monitors are active:

    $ herd status rasdaemon
    $ pgrep -a rasdaemon
    $ cat /var/log/rasdaemon
    $ sqlite3 /var/lib/rasdaemon/ras-mc_event.db

I honestly don't know a lot about RAS, yet, so that's the extent of what I can
easily probe.